Jack2 1.9.12

Public Member Functions | List of all members
Jack::NetFloatAudioBuffer Class Reference
Inheritance diagram for Jack::NetFloatAudioBuffer:

## Public Member Functions
| NetFloatAudioBuffer (session_params_t *params, uint32_t nports, char *net_buffer)
size_t | GetCycleSize ()
float | GetCycleDuration ()
int | GetNumPackets (int active_ports)
int | RenderFromNetwork (int cycle, int sub_cycle, uint32_t port_num)
int | RenderToNetwork (int sub_cycle, uint32_t port_num)
Public Member Functions inherited from Jack::NetAudioBuffer
| NetAudioBuffer (session_params_t *params, uint32_t nports, char *net_buffer)
bool | GetConnected (int port_index)
void | SetConnected (int port_index, bool state)
virtual void | SetBuffer (int index, sample_t *buffer)
virtual sample_t * | GetBuffer (int index)
virtual int | RenderFromJackPorts (int nframes)
virtual void | RenderToJackPorts (int nframes)
virtual int | ActivePortsToNetwork (char *net_buffer)
virtual void | ActivePortsFromNetwork (char *net_buffer, uint32_t port_num)

## Additional Inherited Members
Protected Member Functions inherited from Jack::NetAudioBuffer
int | CheckPacket (int cycle, int sub_cycle)
void | NextCycle ()
void | Cleanup ()
Protected Attributes inherited from Jack::NetAudioBuffer
int | fNPorts
int | fLastSubCycle
int | fNumPackets
char * | fNetBuffer
sample_t ** | fPortBuffer
bool * | fConnectedPorts
jack_nframes_t | fPeriodSize
jack_nframes_t | fSubPeriodSize
size_t | fSubPeriodBytesSize
float | fCycleDuration
size_t | fCycleBytesSize

## Detailed Description

Definition at line 337 of file JackNetTool.h.

The documentation for this class was generated from the following files:

- JackNetTool.h
- JackNetTool.cpp